{% extends "styleguide2/base.html" %}
{% load wagtailcore_tags wagtailimages_tags shared_filters %}

{% block content %}
  {% block navbar %}
    {% include 'styleguide2/includes/organisms/layout/navbar.html' with selected_item=page.get_menu_title %}
  {% endblock %}

  {% include 'styleguide2/includes/organisms/header/simple_header.html' with title=page.title %}

  <main role="main">
    <section class="container--wide mb-4 xl:mb-20">
      <div class="flex flex-col flex-wrap mb-10 xl:mb-20">
        <div
          class="
            flex gap-10 flex-wrap
            lg:flex-nowrap
          "
        >
          <div class="w-full max-w-4xl">
            <h2 class="head-6xl mb-5">
              {{ page.title }}
            </h2>
            <div class="flex flex-wrap justify-between">
              {% for text_block in page.text %}
                <div class="leading-5 w-5/6 sm:w-6/12">
                  {{ text_block.value.text_column_1|richtext }}
                </div>
                <div class="leading-5 w-5/6 sm:w-6/12">
                  {{ text_block.value.text_column_2|richtext }}
                </div>
              {% endfor %}
            </div>
          </div>

          {% if not hide_regional_contacts %}
            <div class="w-full max-w-2xl">
              <h2 class="head-6xl mb-5">
                Regionální kontakty
              </h2>

              <div class="__js-root w-full flex max-w-2xl items-center">
                <ui-region-map class="w-full"></ui-region-map>
              </div>
            </div>
          {% endif %}
        </div>
      </div>

      {% if page.contact_people %}
        <h2 class="head-6xl mb-5 xl:mb-8">
          Kontakty pro média
        </h2>

        <div class="grid grid-cols-1 xl:grid-cols-2 gap-4 mb-16">
          {% for contact_person in page.contact_people %}
            {% firstof contact_person.value.position conact_person.value.person.position as contact_position %}

            {% with contact_person.value.person.specific.get_profile_image as profile_image %}
              {% if profile_image %}
                {% image profile_image fill-256x256 as contact_box_image %}

                {% include 'styleguide2/includes/molecules/contact/contact_person_large_box.html' with image=contact_box_image name=contact_person.value.person.title function=contact_position telephone=contact_person.value.person.phone mail=contact_person.value.person.email url=contact_person.value.person.url %}
              {% else %}
                {% include 'styleguide2/includes/molecules/contact/contact_person_large_box.html' with name=contact_person.value.person.title function=contact_position telephone=contact_person.value.person.phone mail=contact_person.value.person.email url=contact_person.value.person.url %}
              {% endif %}
            {% endwith %}
          {% endfor %}
        </div>
      {% endif %}

      {% if page.contact_boxes %}
        <h2 class="head-6xl mb-5 xl:mb-8">
          Další kontakty
        </h2>

        <div class="grid grid-cols-1 xl:grid-cols-2 gap-4">
          {% for contact_block in page.contact_boxes %}
            {% image contact_block.value.image fill-256x256 as contact_box_image %}

            {% include 'styleguide2/includes/molecules/contact/contact_person_large_box.html' with image=contact_box_image name=contact_block.value.title function=contact_block.value.subtitle %}
          {% endfor %}
        </div>
      {% endif %}
    </section>
  </main>

  {% block newsletter %}
    {% include 'styleguide2/includes/organisms/main_section/newsletter_section.html' %}
  {% endblock %}
{% endblock %}
